Bug Hunting Session
Bug 80025 - Database file with thunderbird address book as data source crashes LibreOffice
Summary: Database file with thunderbird address book as data source crashes LibreOffice
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: All All
: highest critical
Assignee: Julien Nabet
URL:
Whiteboard: target:4.4.0 target:4.3.0.1
Keywords: regression
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-06-14 13:25 UTC by Kevin Suo
Modified: 2014-07-01 04:13 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2014-06-14 13:25:47 UTC
Description:
When I open a ODB file which uses thunderbird address book as its data source, viewing or editing a table will make libreoffice crash. 

Steps to reproduce:
1. Start Base.
2. In the databse wizard window, choose "connect to an existing database: Thunderbird/Icedove address book", next;
3. In the next window, choose "do not register the databse" and "open the database for editing", click "Finish", then choose a location and filename to save the odb file;
4. In the database window, click "Tables", then either:
  * Double-click any of the two tables, or
  * Right-click->Edit

Current Behaviour:
LibreOffice Base crashes.

Expected:
LibreOffice do not crash, and allow me to edit or view the tables.

OS: Ubuntu 14.04 x86
Reproducible with Version: 4.3.0.0.beta2, Build ID: a06aa316117a6ff0f05c697c82831c227812d810
Do not reproduce with Version 4.2.5.2, Build ID: 61cb170a04bb1f12e77c884eab9192be736ec5f5

JRE Version:
$ dpkg -l | grep "jre"
ii  icedtea-7-jre-jamvm:i386                              7u55-2.4.7-1ubuntu1                                 i386         Alternative JVM for OpenJDK, using JamVM
ii  openjdk-7-jre:i386                                    7u55-2.4.7-1ubuntu1                                 i386         OpenJDK Java runtime, using Hotspot JIT
ii  openjdk-7-jre-headless:i386                           7u55-2.4.7-1ubuntu1                                 i386         OpenJDK Java runtime, using Hotspot JIT (headless)
Comment 1 Firas Hanife 2014-06-14 13:37:08 UTC
Reproduced on openSUSE with 4.3.0.0.beta1 and 4.3.0.0.beta2.
4.2.4.2 does not crash.

Changing Status to NEW and updating affected LibreOffice Version.
Comment 2 Commit Notification 2014-06-15 05:03:09 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=488f31200094d7237d45545ab227014831a1f8e6

Resolves: fdo#80025 Crash with Thunderbird/Icedove address book



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Julien Nabet 2014-06-15 05:08:18 UTC
My fault here.

gerrit for 4.3: https://gerrit.libreoffice.org/#/c/9787/
Comment 4 Commit Notification 2014-06-15 16:07:05 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=256badfa65df6b2082d4f7556de3dfd1a5fcdf6e&h=libreoffice-4-3

Resolves: fdo#80025 Crash with Thunderbird/Icedove address book


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2014-06-15 16:59:35 UTC
Thanks to Thomas' review, let's put this one to FIXED.